function funkceKonec(hObject, eventdata, handles)
% pri probihajicim mereni znemozni vypnout program, jinak se uzivatele
% zepta, jestli opravdu vypnout

if str2num(get(handles.probihamereni, 'String')) == 0
    % vyvola dotaz na ukonceni, je to modifikovany prikaz na ukonceni z helpu
    button = questdlg('Opravdu ukončit měření?', 'Ukončení měření', 'Ano', 'Ne', 'Ne');

    if strcmp(button, 'Ano')
        % ukoncit
        
        % vyruseni globalnich promennych
        % odstraneni globalnich promennych
        global dev s vps fgen zadane_hodnoty zjistene_hodnoty casove_hodnoty
        clear global dev s vps fgen zadane_hodnoty zjistene_hodnoty casove_hodnoty
        
        % ukonceni grafickeho okna
        if isempty(gcbf)
          if length(dbstack) == 1
            warning('MATLAB:closereq', ...
            'Calling closereq from the command line is now obsolete, use close instead');
          end
          close force
        else
          if (isa(gcbf,'ui.figure'))
            % Convert GBT1.5 figure to a double.
            delete(double(gcbf));
          else
            delete(gcbf);
          end
        end
    end
else
    warndlg('Nelze ukončit program, když probíhá měření.', 'Vypnutí během měření');
end
    